@if (product$ | async; as product) {
  <p>Vous avez choisi :
    <strong>{{product.title}}</strong>
  </p>
  <p>{{product.price | currency: 'EUR'}}</p>
  <input placeholder="Nouveau prix" #price appNumeric />
  <button class="secondary" (click)="changePrice(product, price.value)">Changer le prix</button>
  <p>{{product.category}}</p>
  <!-- <div class="pill-group">
    @for (cat of product.categories | keyvalue; track cat.key) {
      <p class="pill">
        {{ cat.value | lowercase }}
      </p>
    }
  </div> -->
  @if (authService.isLoggedIn()) {
    <button (click)="addToCart(product.id)">Ajouter au panier</button>
    <button class="delete" (click)="remove(product)">Delete</button>
  }
}

